tool

extends Node2D

class_name POI

enum POIType {
	Null,
	SpawnPoint
}

enum POIClass {
	Null,
	Player
}

export(POIType) var poitype = POIType.Null
export(POIClass) var poiclass = POIClass.Null

func _draw():
	if Engine.editor_hint:
		match poitype:
			POIType.SpawnPoint:
				match poiclass:
					POIClass.Player:
						draw_arc(Vector2.ZERO, 10, 0, PI*2, 16, Color.red, 2)

func serialize():
	return {
		"poitype": poitype,
		"poiclass": poiclass
	}

func deserialize(data):
	poitype = data["poitype"]
	poiclass = data["poiclass"]
